/* eslint-disable */
/**liuwh
 * 5/26/2020, 4:48:49 PM
 * doc comment for the file goes here
 */

/** Happy Coding */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import { Switch, Route, Redirect } from 'react-router-dom';

// 基础平台
import UserManage from '../module/huge-base/UserManage'; //用户管理
import UserDetail from '../module/huge-base/UserDetail'; //用户管理--用户详情
import GroupManage from '../module/huge-base/GroupManage'; //组管理
import GroupDetail from '../module/huge-base/GroupDetail'; //组管理--组详情
import UnitManage from '../module/huge-base/UnitManage'; //组织管理--单位管理
import DepartmentManage from '../module/huge-base/DepartmentManage'; //组织管理--部门管理
import JobManage from '../module/huge-base/JobManage'; //组织管理--岗位管理
import AppServiceManage from '../module/huge-base/AppServiceManage'; //资源管理--应用服务管理
import AppServiceDetail from '../module/huge-base/AppServiceDetail'; //资源管理--应用服务管理详情
import ModulesManage from '../module/huge-base/ModulesManage'; //资源管理--模块管理
import FunctionManage from '../module/huge-base/FunctionManage'; //资源管理--功能管理
import RoleManage from '../module/huge-base/RoleManage'; //权限管理--角色管理
import RoleDetail from '../module/huge-base/RoleDetail'; //权限管理--角色管理详情
import AuthorityManage from '../module/huge-base/AuthorityManage';

export default function UserRouteDom({ }) {
  return (
    <Switch>
      <Route path="/baseManage/user/Detail/:id/:flag" component={UserDetail} />
      <Route path="/baseManage/user" component={UserManage} />
      <Route path="/baseManage/group/Detail/:id/:flag" component={GroupDetail} />
      <Route path="/baseManage/group" component={GroupManage} />
      <Route path="/organizationMgt/unit" component={UnitManage} />
      <Route path="/organizationMgt/department" component={DepartmentManage} />
      <Route path="/organizationMgt/job" component={JobManage} />
      <Route path="/resourceMgt/appService/Detail/:id/:flag" component={AppServiceDetail} />
      <Route path="/resourceMgt/appService" component={AppServiceManage} />
      <Route path="/resourceMgt/modules" component={ModulesManage} />
      <Route path="/resourceMgt/function" component={FunctionManage} />
      <Route path="/organizationMgt/role/Detail/:id/:flag" component={RoleDetail} />
      <Route path="/authorityMgt/role" component={RoleManage} />
      <Route path="/authorityMgt/authority" component={AuthorityManage} />
      <Redirect from='/' to="/baseManage/user" component={UserManage} />
    </Switch>
  )
}
